Group: Engineering
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# TODO: shared lib calls exit

Name:           iec16022
Version:        0.3.1
Release:        alt1_6
Summary:        Generate ISO/IEC 16022 2D barcodes

License:        GPL-2.0-or-later
URL:            https://github.com/rdoeffinger/iec16022
Source0:        https://github.com/rdoeffinger/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/rdoeffinger/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz.asc
Source2:        https://keys.openpgp.org/vks/v1/by-fingerprint/C61D16E59E2CD10C895838A40899A2B906D4D9C7

BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  libpopt-devel
Requires:       %{name}-libs = %{version}-%{release}
Source44: import.info


%description
The iec16022 is a program for producing ISO/IEC 16022 2D barcodes, also
known as Data Matrix. These barcodes are defined in the ISO/IEC 16022
standard.

%package        libs
Group: System/Libraries
Summary:        ISO/IEC 16022 libraries

%description    libs
The iec16022-libs package provides libraries for producing ISO/IEC 16022
2D barcodes, also known as Data Matrix. These barcodes are defined in the
ISO/IEC 16022 standard.

%package        devel
Group: Development/Other
Summary:        Development files for the iec16022 library
Requires:       %{name}-libs = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The iec16022-devel package includes header files and libraries necessary
for developing programs which use the iec16022 C library.


%prep
%setup -q


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build


%install
%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_libdir}/libiec16022.la


%check
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}
make -C test check





%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files libs
%doc --no-dereference COPYING
%doc AUTHORS NEWS README
%{_libdir}/libiec16022.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/libiec16022.so
%{_libdir}/pkgconfig/libiec16022.pc


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.3.1-alt1_6
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.3.1-alt1_4
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.3.1-alt1_3
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.3.1-alt1_2
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.3.1-alt1_1
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_4
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_3
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_2
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt2_1
- update to new release by fcimport

* Wed Jan 13 2021 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_25
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_24
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_23
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_22
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_21
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_20
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_19
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_16
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_15
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_14
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_13
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_11
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_10
- update to new release by fcimport

* Tue Jan 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_9
- initial fc import

